import request from '../index'
const prefix = 'resource/staff'

export function getStaffList(data: any) {
  return request({
    url: `${prefix}/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}

export function getStaffBasic(data: object) {
  return request({
    url: `${prefix}/base/detail`,
    method: 'post',
    data,
  })
}

export function addStaffBasic(data: object) {
  return request({
    url: `${prefix}/base/add`,
    method: 'post',
    data,
  })
}

export function updateStaffBasic(data: object) {
  return request({
    url: `${prefix}/base/update`,
    method: 'post',
    data,
  })
}

export function deleteStaff(data: Object) {
  return request({
    url: `${prefix}/delete`,
    method: 'post',
    data,
  })
}

export function getEducationList(data: any) {
  return request({
    url: `${prefix}/education/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}

export function getAbilityList(data: any) {
  return request({
    url: `${prefix}/ability/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}

export function getProjectList(data: any) {
  return request({
    url: `${prefix}/project/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}

export function addEducationRec(data: object) {
  return request({
    url: `${prefix}/education/add`,
    method: 'post',
    data,
  })
}

export function addEducationRecList(data: object) {
  return request({
    url: `${prefix}/education/batchAdd`,
    method: 'post',
    data,
  })
}

export function updateEducationRec(data: object) {
  return request({
    url: `${prefix}/education/update`,
    method: 'post',
    data,
  })
}

export function delEducationRecList(data: object) {
  return request({
    url: `${prefix}/education/batchDelete`,
    method: 'post',
    data,
  })
}

export function addAbilityRec(data: object) {
  return request({
    url: `${prefix}/ability/add`,
    method: 'post',
    data,
  })
}

export function addAbilityRecList(data: object) {
  return request({
    url: `${prefix}/ability/batchAdd`,
    method: 'post',
    data,
  })
}

export function updateAbilityRec(data: object) {
  return request({
    url: `${prefix}/ability/update`,
    method: 'post',
    data,
  })
}

export function delAbilityRecList(data: object) {
  return request({
    url: `${prefix}/ability/batchDelete`,
    method: 'post',
    data,
  })
}

export function addProjectRec(data: object) {
  return request({
    url: `${prefix}/project/add`,
    method: 'post',
    data,
  })
}

export function addProjectRecList(data: object) {
  return request({
    url: `${prefix}/project/batchAdd`,
    method: 'post',
    data,
  })
}

export function updateProjectRec(data: object) {
  return request({
    url: `${prefix}/project/update`,
    method: 'post',
    data,
  })
}

export function delProjectRecList(data: object) {
  return request({
    url: `${prefix}/project/batchDelete`,
    method: 'post',
    data,
  })
}

export function getAuthorizeList(data: any) {
  return request({
    url: `${prefix}/authorize/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}

export function addAuthorizeRec(data: object) {
  return request({
    url: `${prefix}/authorize/add`,
    method: 'post',
    data,
  })
}

export function addAuthorizeRecList(data: object) {
  return request({
    url: `${prefix}/authorize/batchAdd`,
    method: 'post',
    data,
  })
}

export function updateAuthorizeRec(data: object) {
  return request({
    url: `${prefix}/authorize/update`,
    method: 'post',
    data,
  })
}

export function delAuthorizeRecList(data: object) {
  return request({
    url: `${prefix}/authorize/batchDelete`,
    method: 'post',
    data,
  })
}

export function getResumeList(data: any) {
  return request({
    url: `${prefix}/resume/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}

export function addResumeRec(data: object) {
  return request({
    url: `${prefix}/resume/add`,
    method: 'post',
    data,
  })
}

export function addResumeRecList(data: object) {
  return request({
    url: `${prefix}/resume/batchAdd`,
    method: 'post',
    data,
  })
}

export function updateResumeRec(data: object) {
  return request({
    url: `${prefix}/resume/update`,
    method: 'post',
    data,
  })
}

export function delResumeRecList(data: object) {
  return request({
    url: `${prefix}/resume/batchDelete`,
    method: 'post',
    data,
  })
}

export function getPromoteList(data: any) {
  return request({
    url: `${prefix}/promote/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}

export function addPromoteRec(data: object) {
  return request({
    url: `${prefix}/promote/add`,
    method: 'post',
    data,
  })
}

export function addPromoteRecList(data: object) {
  return request({
    url: `${prefix}/promote/batchAdd`,
    method: 'post',
    data,
  })
}

export function updatePromoteRec(data: object) {
  return request({
    url: `${prefix}/promote/update`,
    method: 'post',
    data,
  })
}

export function delPromoteRecList(data: object) {
  return request({
    url: `${prefix}/promote/batchDelete`,
    method: 'post',
    data,
  })
}

export function getVerifierList(data: any) {
  return request({
    url: `${prefix}/verifier/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}

export function addVerifierRec(data: object) {
  return request({
    url: `${prefix}/verifier/add`,
    method: 'post',
    data,
  })
}

export function addVerifierRecList(data: object) {
  return request({
    url: `${prefix}/verifier/batchAdd`,
    method: 'post',
    data,
  })
}

export function updateVerifierRec(data: object) {
  return request({
    url: `${prefix}/verifier/update`,
    method: 'post',
    data,
  })
}

export function delVerifierRecList(data: object) {
  return request({
    url: `${prefix}/verifier/batchDelete`,
    method: 'post',
    data,
  })
}

export function getTrainningList(data: any) {
  return request({
    url: `${prefix}/staff/train/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}
